Subject: Re: [bug#56051] [PATCH] guix: self: Do not record reference to gcc-toolchain.

From: Maxime Devos <[email-masked]>
Date: Sat, 18 Jun 2022 21:08:18 +0200

Julien Lepiller schreef op za 18-06-2022 om 19:53 [+0200]:
> crt1.o and friends, from glibc. I tried using glibc explicitely and
> setting LIBRARY_PATH to (file-append glibc "/lib") and it worked.
> 
> > 
> > > Another possibility is to explicitely use gcc, binutils, glibc and
> > > ld-wrapper. Thought this would be better?  
> > 
> > FWIW, the <c-compiler> infrastructure in (guix scripts pack) does
> > that, and the code in guix/self.scm has a comment:
> > 
> >      ;; XXX: Reuse <c-compiler> from (guix scripts pack) instead?
> > 
> > though maybe (guix scripts pack) has the same reference-keeping
> > problem ...
> > 
> > Greetings,
> > Maxime.
> 
> Mh, I'm not sure how to do that. Do you mind if I push this patch, and
> leave using <c-compiler> to future work?

Sure, but keep in mind this adds 'glibc' to the closure (IIUC, packages
like 'hello' use a different glibc, from %final-inputs in (gnu packages
commencement)), so maybe best use (canonical-package glibc) instead?
(*)

(*) IIUC, (guix self) isn't used from any package module, so no cycle
problems, can be imported directly.

Greetings,
Maxime